package com.ruoyi.cms.service;

import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cms.domain.ai.AiChatHistory;

public interface AiChatHistoryService extends IService<AiChatHistory> {

    JSONObject getList(AiChatHistory aiChatHistory);

    void saveChatHistory(AiChatHistory aiChatHistory);

    JSONObject getDetailList(String chatId);

    JSONArray getChatHistoryData(String chatId);

}
